aboutsummaryrefslogtreecommitdiff
path: root/gnome
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 20:33:40 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 20:33:40 +0000
commit367a595c7987f526b23a9702591dd43328ea808c (patch)
tree2310639744a3a0311a99b3d7d7df1f022708e633 /gnome
parent597c153e31f8c662e4f915da2ea301eab9896c03 (diff)
downloadslackbuilds-367a595c7987f526b23a9702591dd43328ea808c.tar.gz
slackbuilds-367a595c7987f526b23a9702591dd43328ea808c.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@648 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'gnome')
-rwxr-xr-xgnome/gphoto2/gphoto2.SlackBuild121
-rw-r--r--gnome/gphoto2/slack-required1
2 files changed, 122 insertions, 0 deletions
diff --git a/gnome/gphoto2/gphoto2.SlackBuild b/gnome/gphoto2/gphoto2.SlackBuild
new file mode 100755
index 00000000..fb87e4fd
--- /dev/null
+++ b/gnome/gphoto2/gphoto2.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# slackbuild script for gphoto2
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building gphoto2 are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="gphoto2"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.2.0}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/gphoto/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+gphoto2: gphoto2 (command-line frontend for libgphoto2)
+gphoto2:
+gphoto2: gPhoto2 is a free, redistributable, ready to use set of digital
+gphoto2: camera software applications for Unix-like systems, written by a
+gphoto2: whole team of dedicated volunteers around the world. It supports
+gphoto2: more than 600 cameras.
+gphoto2:
+gphoto2:
+gphoto2:
+gphoto2:
+gphoto2:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="ABOUT-NLS AUTHORS CHANGES COPYING ChangeLog INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/gnome/gphoto2/slack-required b/gnome/gphoto2/slack-required
new file mode 100644
index 00000000..5b4fcf12
--- /dev/null
+++ b/gnome/gphoto2/slack-required
@@ -0,0 +1 @@
+libgphoto2